2010-07-25 (V1-2-10) Misc Seg fault fixes
	* - Fix incorrect g_free of GdkPixmap in shade_pixmap_gdk(). Should
	*   be g_object_unref(). BZ 598459 603545
	* - Correct a race condition in gyachi-uploader shutdown code, so as
	*   to not (possibly) seg fault when shutting down gyachi-uploader.
	*   BZ 525878 552443 573163 586276 597085
	* - Fix gyachi crash if the PM window is closed during a file transfer
	*   BZ 615624
2010-06-17 (V1-2-9) Misc seg fault fixes
	* - Fix argument prototyping in webcam application. This
	*   resulted in finding several function calls that were
	*   not being passed correct arguements, and therefore
	*   would cause unexpected crashs (instead of reporting
	*   webcam errors) when capturing frames.
	*   BZ 565304 583642 586277 603260 546299 550567
	* - disable button-press-events from chat pane. When in chat room
	*   gyachi click input goes into strange state. mouse clicks
	*   get lost. button press events get claimed on wrong tab, etc.
	* - Fix possible NULL pointer dereference in focus_pm_entry()
	*   BZ 554041
	* - Fix possible crash in on_login_button_clicked() when
	*   login_window is already/still NULL. BZ 577724
	* - Fix possible segv when animated gif is deleted before
	*   the timeout. BZ 553506 578264
	* - Fix possible stack corruption with a username that is a full 64
	*   characters (or more). BZ 605875
	* - Fix gyachi crashes when editting the buddy image
	*   BZ 541761 541795 562472 564430 571077 599177 600687 602517
2010-06-15 (V1-2-8) Update copyrights. Correct configure for v4l
	* - Linker changes no longer automatically bring in v4l2, so
	*   must check for libv4l1 *and* libv4l2 and include BOTH in
	*   CFLAGS and LIBS
2010-05-15 (V1-2-7) Fix regex crashes
	* - Check regcomp to see that the regular expression *actually
	*   compiled* before using it in regexec. (bugfix for many *random*
	*   crashes!)
	* - Display regex that are syntatically incorrect on chat window,
	*   *with* error message.
	* - Add a "re-Captcha" button on the Captcha UI. Yahoo captcha images
	*   "so bad" these days...
	* - fix chat window pane to hide the top panel under newer gtk++
	*   as before (under older gtk++)
	* - fixed scrolling on pm window when the display portion is resized
	*   (e.g. by either resizing the window, or by invokation of the
	*   download manager and/or the photo-share feature.
	* - fix the prototype definition for strcasestr (explicitly enable GNU
	*   extensions, since it is non-standard C) -- Darwin Bautista
	* - fixes ito possible buffer overflows (packet_handler.c:tmp3 in
	*   handle_news_alert, users.c:homepage in fetch_profile) -- Darwin
	*   Bautista
	* - fix possible array overflow (yahoo_web_login, ymsg_open_socket,
	*   ycht_open_socket) -- Darwin Bautista
	* - fix unitialized command when playing a sound file.  (util.c/play_sound)
	* - Fix [Help] -> [Check for New Versions and News] to display the
	*   current version available in CVS.
2010-03-04 (V1-2-6) Fix regex handling
	* - Regex was previously removimg a character from the longest
	*   regex expression. This corrects that problem.
2010-02-20 (V1-2-5) Change ssl read to read arbitrary return length
	* - 1.2.4 was a temporary fix, by increasing the buffer size
	*   read into. This patch fixes the problem by sizing the
	*   buffer to the size of the read.
2010-02-07 (V1-2-4) change ssl read buffer from 1024 to 2048
	* - Seems something on yahoo size changed such that the ssl authentication
	*   packet now can occassionally be longer than 1024 bytes, As/when/if
	*   that happens, then a short read results, and the final "crumb"
	*   needed to complete the authentication process is not fully
	*   retrieved (resulting in a failed login)
2009-11-22 (V1-2-3) fix replicated "your buddy image has been sent"
	* - Fix the replicated "your buddy image has been sent" messages
	* - Fix logging in with "@yahoo.com"
2009-07-11 (V1-2-2) re-toolize gyachi
	* - ran reconf to re-libtoolize the autoconf stuff
	* - Change ssl login to accomodate openssl-0.9.8g
	* - removed extraneous message about our aliase being
	*   online
2009-07-03 (V1-2-1) Fix double post problem when chatting w/ a YM-9 client
	* - YMSG-16 protocol, talking to a YM-9, the ym-9's post will
	*   replicate after 7 secs, unless it's ACK'ed
2009-07-01 (V1-2-0) Fix Yahoo! pm chat problem.
	* - fixed chat problem in Yahoo! since ~ 22 June
	*   Fedora Bugzilla [Bug 508576]
	* - implemented YMSG-16 / Messenger 9
	* - fixed some tooltab conditionals for older systems.
	* - fixed deny buddy list add.
	* - fix crash in Yahoo! html panel when clicking on refresh
	*   (refresh will refresh the list of yahoo urls, not the
	*   current web page) Fedora Bugzilla [Bug 508490]
	* - disabled ymsg-11 & ymsg-13 login's since Yahoo! has phased
	*   them out. Anyway we've had YMSG-15 working since Jan 2008
	*   (and Y-16 is only ioncrementally different from Y-15)
2009-05-03 (V1-1-71) Buddy Image processing, and misc other fixes.
	* - handle non-integral values of FPS properly. (webcam uploader)
	* - fix buddy image checksum. If checksum > 0x3FFFFFF then
	*   the yahoo checksum is B -checksum
	* - Added support for buddy images to the buddy list. However,
	*   to do so, I ended up tossing temp-friends buddy images
	*   into the bin. at least for now.
	*   Note that buddy image on the buddy list will be in lieu of
	*   a buddy avatar. If avatars are disabled (Setup->[General]->[Show
	*   Buddy list Avatars], then buddy images on the buddy list will
	*   also not be displayed.
	* - Fix the buddy list refresh, so that the buddy list refreshs
	*   less. (clicking on the refresh button will still force a
	*   full refresh).
	* - Add buddy list tooltip of the buddy image.
	* - Set "[OK]" as the focus widget of the "accept file transfer"
	*   panel, so that file transfers will be accepted by default.
2009-05-03 (V1-1-70) fix divide by zero crash when starting uploader.
	* - read the uploader capturc file at uploader startup.
	*   This fixes a divide by zero when deciding how often
	*   to grab frames
2009-05-02 (V1-1-69) added a throttle rate to gyachi uploader
	* - gyachi uploader now has a throttle rate on capturing
	*  (fps - frames per sec).
	*   max_fps is set in the uploader setup UI.
	*   The default is set as 8 fps.
	* - Tweek the uploader to check for grabbed frames more frequently.
2009-05-01 (V1-1-68) Move list of voice-server IP's to external file.
	* - Moved hard coded list of voice servers to
	*   GYACH_CFG_DIR (~/.yahoorc/gyach/voice_servers
	*   and if not found, then the master list in
	*   PACKAGE_DATA_DIR ({prefix}/share/gyachi/voice_servers
	* - Additionally, the last selected voice server is
	*   saved across runs in a gyvoicerc file.
2009-04-30 (V1-1-67) fix ignore file buffer flows
	* - sigh. fixed more buffer overflows in ignore handling...
	* - Fix broken smiley support (broke in 1.1.66)
2009-04-26 (V1-1-66) Fix buffer flow in ignore file handling.
	* - Fix buffer flow in ignore file handling.
	* - made filename allocation completely dynamic for
	*   alias files, buddy images, avatar files, history file,
	*   ignore files, etc.
	* - Fixed unitialized directory in webcam uploader/viewer.
	* - If we're reverting a webcam from v4l2 to v4l1, update
	*   webcamrc
2009-04-21 (V1-1-65) Fix webcam lockup for certain webcams.
	* - Fix a webcam threading lock-up for certain webcams.
2009-04-06 (V1-1-64) Correct path for help document from command line
	*	     A number of webcam UI/support related things
	* - fix path for help in response to /help in command window.
	* - Change webcam upload / webcam viewer - move code around,
	*   specifically, moved code common to both into camcapt.c
	* - removed unneeded prev/next buttons on webcam player.
	* - added [Capture] menu option to webcam uploader (a. la. webcam
	*   player)
	* - added record button to webcam uploader.
	* - Redid the threads code in the uploader, made the file writer a
	*   separate thread as well.
	* - Moved webcam custom message to Setup page
	* - Moved "show my cam" tick from Action to Setup and made persistent.
	* - Changed the webcam viewer/uploader from "system()" to "fork()/exec()".
	*   In particular, we now detect when the uploader exits, and update
	*   the status message accordingly.
2009-04-05 (V1-1-63) Fix compilation error in gyvoice.
	* - Added ommitted pthread.h header file in gyvoice/callbacks.c
2009-03-16 (V1-1-62) Fix a removal of ID from Buddy's budy list
	* - Fix removal of our ID from buddy's buddy list.
	* - re-do buddy removal UI (the "-" on the Buddy page).
	* - Fix combo box handling on the Privacy panel.
	* - implemented Yahoo!'s "change group". Now when you move
	*   a buddy from one group to another it no longer removes
	*   them and adds them (thereby requiring a conformation
	*   on the remote side...)
	* - Easter Egg -- the "Yahoo! Ignore List" (tools -> [Yahoo! Ignore List])
	*   or the "GyachE Improved Ignore List" (tools -> [GyachE Improved Ignore List])
	*   -- if you enter "remove me from buddy lists" in the "user" field,
	*   and click either [Add] or [Delete], GyachE will issue a /revoke
	*   on each member of that ignore list. enmasse.
	* - Moved "locate_widget" from util.h to gyachi_lib
	* - Eliminated gyvoice/support.[ch], which contained ONLY
	*   "locate_widget". Made use of gyachi_lib  (where the another copy
	*   of the same "locate_widget" is).
	* - Fixed Copyright attributions in autogen.sh & gyachi_icon_defs.h
	* - Addressed Copyright issues with the gyvoice files
	* - Fix possible bug in uploading buddy images.
	* - replaced the MPL'ed crc32.c/crc32.h files (used for buddy images) with
	*   GPL'ed version (from coreutils).
	* - replaced bsd'ish md5.c/md5.h files (used in authentication and
	*   photosharing) with GPL'ed version (from coreutils) (better
	*   platform independence)..
	* - replaced MPL'ed sha.c/sha.h files (used only for Ymsg-13/Messenger 7.5
	*   authentication) with GPL'd ones (from coreutils)
2008-12-31 (V1-1-61) Fix a crash in file transfers.
	* - Change the way that url's were built/processed in file
	*   transfer, so as to avert large stack allocations (would
	*   cause crashes in some distros).
	* - fix spell check plugin detection.
2008-12-22 (V1-1-60) update spec file for obsoletes + misc small fixes.
	* - Update gyachi.spec.in
	*   Fixed missing obsolete dependencies when plugin's aren't compiled.
	* - Updated yahoo server list, from
	*   http://service1.symantec.com/SUPPORT/ent-gate.nsf/docid/2007645475208898
	* - Updated Configure to require minimum gtk++ 2.10
2008-11-25 (V1-1-59) First approach of spell check
	* - Created a gktspell plugin which is integrated into
	*   the pm windows, allowing spellchecking of pm text.
	* - Spell check is implemented as a plugin, and in such a
	*   manner that alternate spell checkplugs are possible.
	* - Corrected the Adjustment associated with the spin_buttons
	*   in the setup menu so that they no longer give warning messages
	*   of "GtkSpinButton: setting an adjustment with non-zero page size is deprecated"
	*   upon popping up the Setup UI.
2008-11-21 (V1-1-58) Added support for optional reading settings from the rc file
	* - Fixed the webcam-upload startup to use the saved attribute
	*   settings, rather than the camera's default setting.
	* - Added a [Revert] button on the webcam-upload ui, to
	*   allow users to read saved settings from the webcamrc
	*   file.
2008-11-21 (V1-1-57) Do manual probing of webcam features.
	* - Change the automated scan of webcam features, to a manual
	*   probe of all possible features. (seems that a lot of webcam
	*   drivers do not yet support the NEXT_CTRL scan feature....)
	* - Removed "fix_colour" option/support. Now that the correct
	*   v4l2 palette is used, there is no need for this kludge.
2008-11-20 (V1-1-56) Fix occassional crash of webcam viewer and/or uploader
	* - Occassionally, when the yahoo socket disconnects, the webcam
	*   uploader, or webcam viewer would get segment violation.
	* - Save the custom away message & icon selection, once changed/updated.
	* - Changed systray icon to a proper GtkStatusIcon
2008-11-19 (V1-1-55) Fix a memory issue with Y15 login
	* - login under y15 would sometimes segment violation
2008-11-18 (V1-1-54) libtool fix
	* - Fix gyachi to compile/link under libtool v2
	* - A side effect of the above is a complete restructuring
	*   of the plugin directory.
	* - moved lower_str from gyachi main to libgyachi
	* - the photo_album plugin is now considered obsolete.
	*   do not build it
	* - the xmms plugin is now considered obsolete.
	*   do not build it
2008-11-17 (V1-1-53) more webcam updates/fixes
	* - handle case of V4L1 cam under libv4l but V4L version
	*   is set to V4L2. Need to be able to switch from V4L2 to
	*   V4L1, when v4l_open fails.
	* - fix seg fault in gyachi-webcam webcam viewer.
	* - Added support for ANY V4L2 camera attribute that
	*   the driver supports.
2008-11-08 (V1-1-52) more webcam updates/fixes
	* - address some minor parenting issues with the
	*   webcam uploaded, and webcam viewer.
	* - removed unimplemented [profile] button in the
	*   "Do you wish to let this person view" dialog
	* - Updated copyright stmns & version # in both
	*   webcam viewer & uploader.
	* - conditionalize some of the V4L2 attributes that
	*   were added to the kernel after the core V4L2
	*   attributes. (e.g. SHARPNESS)
2008-11-07 (V1-1-51) webcam updates/fixes
	* - Fix support of V4L1 webcam in V4L1 mode with no
	*   libv4l support.
	* - Fix seg fault with V4L1 cam, and running/switching
	*   to V4L2 mode with no libv4l.
	* - Fixed parenting of About.
2008-11-06 (V1-1-50) webcam overhaul
	* - redid the webcam uploader application, so that it
	*   simultanaously supports BOTH V4L1 *AND* V4L2 (not
	*   important for newer libv4l2 support)
	* - redid/enhanced the webcam preferences UI
	* - properly parented the webcam UI and child
	*   message/dialog UI pages.
	* - fixed webcam support so that windows users will NOW
	*   see gyachi webcam as online. (Need to fix the
	*   custom "view my webcam" message. That REALLY belongs
	*   in the gyachi setup UI)
	* - Fixed webcam upload so that it DEFAULTS to broadcasting mode.
	* - Fix V4L2 and V4L1 to use the same colors.
	* - Fixed webcam uploader to NOT use/save the webcamrc settings.
	*   webcam is like soundcard. The application should inherit the
	*   settings from the last application.
	* - Updated the copyright of yahoo_ymsg15.c & gyachi_ssl.c
	*   needed to link GPL against the OpenSSL license, See
	*	http://www.gnome.org/~markmc/openssl-and-the-gpl.html
	* - Fix a potential stack overflow in yahoo_fxfer_getfile_thread()
	*   array declared as 1024, but was allowing a write of 2046 ...
2008-10-20 (V1-1-49) improved webcam support
	* - added configure support for libv4l
	* - added configure support for --enable-v4l2
	* - fixed bug in webcam startup.
	* - updated webcam/gyacheupload-v4l.c for libv4l
	* - fix combobox crash when enabling encryption
	* - added a pidgin like theme (pidgy), contributed by Henk
2008-08-17 (V1-1-48) New theme / theme changes
	* - Some image updates to the recre8 theme, Thx Loell
	* - YMlike, Yahoo Messenger lookalike theme, independently
	*   created.
2008-08-10 (V1-1-47) Lots of bimage changes... Fix crash in photosharing
	* - Fix a potential crash in photosharing, when a pm session
	*   is closed during a file transfer.
	* - Fix bug in uploading of new buddy image.
	* - Change local name of our buddy image to
	*   GYACH_CFG_DIR/%s.friend_icon.png, with our id
	*   embedded into the filename. This allows us to have
	*   different bimages for different ym accounts, on the
	*   same linux login id.
	* - Fix window parenting for error dialog message
	*          The image could not be loaded
	*   when the bimage cannot be loaded.
	* - Fix bimage selection, so that upon selecting a new
	*   buddy image, *ALL* of the PM windows will update with
	*   the newly selected buddy image.
	* - Put the upload of the buddy image into a separate thread.
	* - Speed up buddy image conversion & processing.
2008-08-07 (V1-1-46) Fix gyachivoice crash when turning ON.
	* - Fix an elusive crash when turning gyachi voice ON
2008-08-07 (V1-1-45) Fix crash for setting buddy image with new gyachrc
	* - Fix a crash with new gyachirc, and selecting buddy image.
2008-08-03 (V1-1-44) revert g_timeout_add_seconds back to g_timeout_add
	* - revert g_timeout_add_seconds back to g_timeout_add for
	*   compatibility w/ RHEL5
	* - fix fader to store selected custom fader string in the rc file
	* - remove GTK_DISABLE_DEPRECATED from build Makefiles
2008-08-03 (V1-1-43) Fix missing voice in chat rooms
	* - Restore voice to chat rooms (broken in 1.1.41)
2008-08-02 (V1-1-42) auto-expire of captcha cache items
	* - expire captcha cache items after 1.5 secs so that
	*   yahoo doesn't block us...
2008-08-02 (V1-1-41) Fix Captcha positioning...
	* - redid captcha GUI so that the ui properly centers in
	*   the chat window UI.
	* - Add a check to gyachivoice so that it doesn't crash
	*   if no sound plugin has been detected.
	* - make threads mandatory in the configure.
2008-07-28 (V1-1-40) Fix for remembering last login at startup
	* - Fix pulldown so that last login-id is remembered at
	*   startup, even if you didn't store a list of login id's.
	* - Fix captcha popup to always be centered within the chat window.
2008-07-27 (V1-1-39) Fix crash in chatroom, when fader is enabled.
	* - Fix crash in chatroom when fader is enabled (introduced in
	*   1.1.36)
2008-07-26 (V1-1-38) More misc fixes.
	* - Fix sizing of main chat window. Allow it to resize both
	*   larger *AND* smaller...
	* - implement a room hop captcha cache. (See Setup -> Chat
	*   & Conferences tab, under Room List Options.)
	* - Make gyachi compatible w/ YM9b
2008-07-24 (V1-1-37) Misc fixes 1.1.36 fixes
	* - Correct file browser for selection your buddy image.
	* - Fix seg fault at startup if you have no gyachrc file.
	*   (due to no fader strings selected...)
	* - login screen doesn't remember login-id for reconnects
	* - Fix segfault if no sound player selected.
	* - Disabled captcha result caching... Seems that Yahoo fixed
	*   their long standing captcha bug...
2008-07-20 (V1-1-36) removal of deprecated gtk code.
	* - updated spec file to be more closer to fedora
	* - removed a gnu-ism (strchrnul) from theme_support.c
	* - converted deprecated gtk_combo to newer gtk_combo_box
	* - updated all the deprecated gtk functions so that we're GTK3 clean.
	* - changed the fader UI. The main UI now has a fader button
	*   on the toolbar, and the fader UI has been expanded to include
	*   the preset fader strings. You can still set your own fader/alt
	*   string, but only the current one in use is saved.
	* - Fix the pm's d/l manager so that when it is clicked close, it
	*   *stays* closed (i.e. when you switch to another pm, and back...)
2008-06-07 (V1-1-35) sound plugin support
	* - modularize sound support.
	* - convert existing alsa support into a loadable module.
	* - Add loadable module for Pulse Audio as an alternative sound player
	* - Add sound selector in Setup -> Options
	* - gyachivoice will now use the same sound plugin as is selected in
	*   gyachi.
	* - Fix CODEC_PATHS to not reference WIN32_PATH in compiles configured
	*   with "--disable-wine"
	* - Fix a segfault in gyachivoice when a name in the namelist is zero
	*   length.
	* - Set the default login chat server to scs.msg.yahoo.com (instead of
	*   a randomly selected one -- scs.msg.yahoo.com will remap into one
	*   one of the default login servers via DNS)
	* - Added Voice server to gyachivoice UI
2008-06-01 (V1-1-34) misc fixes
	* - fixed photo-album plugin so that it doesn't give Gtk-CRITICAL
	*   messages. (photo albums basically don't work due to yahoo
	*   no longer supports photo.yahoo.com)
	* - fixed codec check for voice chat... :(
2008-05-31 (V1-1-33) misc fixes
	* - fixed popup question dialog when a user offers their webcam.
	*   used to parent the chat window. Now we parent the PM window
	*   (if there is one), and the chat_window if the pm window is not
	*   opened, yet.
	* - converted remaining show_confirm_dialog_config() to
	*   show_confirm_dialog_config_p() with chat_window as the parent.
	* - updated gyachi.spec.in file to be closer to the Fedora spec file.
	* - Added "/usr/lib/codecs" to the codec search path.
	* - Updated yahoophshare to use common set_tooltip() code in util.c
	* - Updates set_tooltip to use new gtk_widget_set_tooltip() if
	*   available, and the older, deprecated gtk_tooltip, if not
	*   available. This will gyachi to build on older platforms (i.e.
	*   with gtk+2 not >= 2.12 ...
	* - Fix YMSG_PACKET_HEADER_STRUCT in yahoochat.h to be defined in a
	*   platform independent manner.
	* - moved find_pms_window() to util.c (from yahoofxfer.c)
	* - set default value of enable_preemptive_strike to 0 (from 0)
	* - Detect a multiple login session, and logoff when it's detected
	*   (note that if auto-reconnect is enabled, this will still attempt a
	*   re-connect. That's intentional...)
	* - Change PM window info messages, to have a default icon of
	*   GTK_STOCK_DIALOG_INFO icon, and allow alternate icons to be
	*   displayed as appropriate. append_to_open_pms()
	* - Handle auto-raise-pm for incoming file requests & incoming
	*   photosharing requests
	* - add permission checking for incoming photosharing sessions
	*   (so that, e.g. spammer cannot initiate a photoshare session w/ us)
	* - auto-create pm session for incoming file requests.
	* - fix file transfer to prompt before overwriting an existing file.
	* - Made photoshare upload/download directory persistent across
	*   runs. As a side affect, the photoshare directory is now shared
	*   across all pm sessions. (used to be unique per pm session).
	* - Made file download directory persistent across gyachi runs.
	* - Made file upload dir/filename persistent across gyachi runs.
	* - Added Setup option "Auto open file download manager" (defaulted
	*   to TRUE), which controls the default opening of the d/l manager.
2008-05-05 (V1-1-32) misc configure changes for better x64 support
	* - updated configure & spec file to better support x64 builds
	* - Fix configure & webcam/Makefile.am so that webcam executables
	*   go to libexec directory
2008-04-19 (V1-1-31) misc updates.
	* - Made Chat UI tabs DnD
	* - Added popup menu support on the Chat UI tabs
	* - added setup option to remember the chat ui tab
	*   settings, or not.
2008-04-12 (V1-1-30) misc updates.
	* - Fixed crash on new user.
	* - Changed some initialization default values:
	*	default version of messy: changed from 13 to 15
	*	default auto_reconnect: from 0 to 1
	* - Changed the default configuration values for xmms
	*	and photo_album (formerly photosharing). These
	*	2 configure options now default to off.
	* - Cleanup .yahoo/gyachu/photo directory when d/l'ing
	*	photosharing photos.
	* - Cleanup .yahoo/gyachu/photo directory when d/l'ing
	*	photosharing photos andthe d/l is cancelled.
	* - Fix photosharing "fullsize" to center in the display
	*	area.
	* - Fix a photoshare crash where the other side closes
	*	photosharing in the middle of a transfer.
	* - Remember scrollbar posn of the fullsize image.
2008-04-03 (V1-1-29) Photoshare update. Added "pointer" support.
	* - Added "pointer" support for photosharing
	* - Cleanup. Renamed a bunch of routines internal to yahoophshare.c
	* - Cleanup. changed all gtk signals that has "_" to use "-" instead.
	*   Should not have any noticible effect on the application.
	* - Added a fix for slow performance when d/l'ing files (apparently
	*   introduced in 1.1.27 w/ the new d/l manager...
2008-03-09 (V1-1-28) Photoshare updates.
	* - added configure check to ensure gtk2+ >= 2.12
	* - removed configure "disable-pixbuf" option
	* - PhotoShare: Fix DnD and "[+] Add File", when a file
	*   has a space in filename.
	* - Add relay server to the columns in the file d/l
	*   manager, and allow "black list relay server" on
	*   send side.
	* - Add "photoshare / Share Photos..." quick access icon button
	*   to the pm quick access buttons. Changed the icon for photoshare
	*   menu item.
	* - When photosharing is initiated, add a line to the PM & chat
	*   windows saying that we have invited the buddy for a photosharing
	*   session.
	* - Add right-click popup menu to the thumb preview items.
2008-03-08 (V1-1-27) First stab at photosharing
	* - added support for photosharing
	* - redid the file d/l mechanish, so that there is now a
	*   file d/l manager, in each pm window...
2008-03-01 (V1-1-26) Added configure wine conditional
	* - Added configure support of wine. This allows
	*   gyachi to be built on non-x86 platforms where
	*   wine is not available (wine is needed for gyvoice).
	* - Now we copy the ChangeLog and ABOUT-NLS to the documentation
	*   directory.
2008-01-26 (V1-1-25) fix for login with incorrect user/password
	* - corrected a segment violation when you log in with
	*   ymsg15 protocol with wrong userid and/or password
2008-01-24 (V1-1-24) bug fix for cached login token.
	* - forget saved token when we re-login with
	*   different id and/or password.
2008-01-23 (V1-1-23) Fix for buddy status
	* - enhance the login process by caching the yahoo token.
2008-01-22 (V1-1-22) Fix for buddy status
	* - corrected buddy status for refresh, and also when a
	*   buddy logs out.
2008-01-21 (V1-1-21) make libnotify attachment to systray optional
	* - setup option for attaching popup notification to systray
2008-01-17 (V1-1-20) some code cleanup
	* - consolidated socket connect code.
	* - consolidated incoming packet processing code
	*   for handling of buddy attributes.
	* - Went thru all C courses, to verify the system #includes
	* - Fix joining chat rooms, "Some chat rooms can't join"
2008-01-16 (V1-1-19) Y15 file transfers
	* - fix Y15 file transfers
2008-01-14 (V1-1-18) More Y15 fixes.
	* - Added support of refresh for ymsg-15
	* - Added ymsg-15 support of "add buddy".
2008-01-13 (V1-1-17) Correct sensing of buddy login sensing
	* - Correct the handling of buddy login notification
	*   when a buddy log's in. Was broke in both Y15 and Y13
	*   protocols.
2008-01-13 (V1-1-16) Smiley updates
	* - Enhanced the smiley tooltips
2008-01-12 (V1-1-15) fixes for long buddy/ignore lists.
	* - add fix for YMSG-13 and earlier for long
	*   buddy & long ignore lists
	* - add fix for YMSG-15 for long buddy/ignore lists.
2008-01-11 (V1-1-14) lots of YMSG-15 fixes
	* - Fixed the max # if fields from 150 to 500.
	*   This caters to the new login list (0xf1) which
	*   Can have 3 to 5 fields per buddy.
	* - Fixed YMSG-11 login (broken in V1-1-13)
	* - Fixed YMSG-15 support of Yahoo! ignore lists
	* - Fixed YMSG-15 propogation of buddy status to other buddies.
	* - Fixed notification of buddies logging on (broken in V1-1-13)
	* - more misc login fixes...
2008-01-10 (V1-1-13) YMSG-15 support added
	* - added support for login in via ymsg-15 protocol.
2008-01-05 (V1-1-12) Set some default settings.
	* - remember the selected chat-ui tab.
	* - select a default yahoo server, if one has not
	*   been selected.
	* - switched the defaults on a few other settings
	*   as well...
2008-01-05 (V1-1-11) protocol support - step 1
	* - Moved the protocol selection widget to the
	*   login UI.
	* - Low level changes throughout to allow addition
	*   of more ymsg protocols. This version still supports
	*   only ymsg-11 & ymsg-13 with ymsg-13 being the default.
2008-01-02 (V1-1-10) more theme bug fixes
	* - correct the icon in the chatter list when you
	*   mute/unmute/ignore/unignore a chatter.
2008-01-01 (V1-1-9) smiley, theme updates
	* - fixed popping up the pm window on the 1st incoming pm.
	* - added support for 7 more (Yahoo! Messenger 9.0) smileys 
	* - fixed the size of the Send button in Chat rooms.
	* - Loell updated the recre8 theme.
2007-12-31 (V1-1-8) Fix crash when click on pm text area.
	* - fix crashed introduced in 1.1.7
2007-12-30 (V1-1-7) theme fixups.
	* - Fixed the "no photo" in the profile window.
	* - changed iconsize of the chatter list from 16x16 to 20x20
	* - changed icon size of popup in libnotify to 24x24
	* - changed append_char_icon_text() to pass in the icon size.
	* - added tool tip to [Friends: ## Online: ##] button.
	* - added icon to the pm window tab.
	* - added Enable icons on Notebook tabs" to tuen on/off the
	*   tab/icon feature. [Setup] -> [General]
	* - fixed the pm window tab popup menu (right click on a tab)
	* - more valgrind. more memory leaks patched.
2007-12-30 (V1-1-6) theme fixups.
	* - Fixed email icon in mail (chat panel) ui
	* - corrected size of Audibles & Clear in PM panel
	*   (decided to leave the icons just above the message ares
	*   as there new smaller selfs)
	* - corrected the icon sizes in the buddy tab.
	* - Set the window icon for the main UI.
	* - corrected GyachI Logo on the login UI
	* - corrected the voice chat [On] button
	* - Added Loell's new artwork theme (recre8)
	* - updated gyachi.spec.in file to support the new theme.
2007-12-29 (V1-1-5) Added Theme support for the artwork
	* *MAJOR* code changes involved.
	* - Fixed a captcha memory leak.
	* - Fixed a libnotify memory leak.
	* - Moved read_config() into a common library
	* - Moved the theme support into a common library.
	* - updated plugins and support tools to use the
	*   theme support, and to read the config file.
	* - the original artwork is now the "gyachi-classic"
	*   theme.
	* - fixed the tuxvironment, to be parented off the
	*   caller (pmwindow).
	* - Fixed webcam Setup window parenting.
	* - Fixed webcam Encoder Settings window parenting.
	* - Fixed webcam & gyvoice to read the gyachi rc file
	*   when they start up. That is to say that they now
	*   have available all the gyachi configurable setings
	*   (including the gyachi theme setting).
	* - Tonnes of source code rearrangement / cleanup to
	*   accomplish all of the above.
2007-12-20 (V1-1-4) Added alternate notifier
	* An alternate notifier, making use of libnotify
	* is now implemented, in the form of a plugin.
	* Additionally, any new notifier can be easily added.
	* In the event of multiple notifier plug-in's, the last
	* one to load "wins" :)
2007-11-21 (V1-1-3) Added buddy icon support.
	* The buddy image is now put into the window icon.
	* Also implemented drag/drop of tabs. Within the
	* main PM window, you can now click on a tab with
	* the left mouse button, and rearrange the order by
	* dragging it to a new position.
2007-11-18 (V1-1-2) Added support for CTRL-PageUp/PageDown
	* in the PM window to switch between buddies.
2007-11-11 (V1-1-1) Update configure for better plugin support
	* added --disable-plugin_<name>, and added
	* approproiate checks for plugin dependencies if
	* plugin is not disabled. Updated rpm spec file
	* to support "--without <feature>".
	* <name> (for configure) or <feature> (for rpmbuild) is
	* xmms, mcrypt, photoshare, blowfish, or gpgme
2007-11-04 Bump version to 1.1.0
	* version bumped to 1.1.0
2007-11-03 Another configure fix.
	* Set PACKAGE_DOC_DIR to ${acl_final_prefix}/share/doc/${PACKAGE}-${VERSION}
	* and then use PACKAGE_DOC_DIR both in the Makefile.am as well
	* as references to the doc hierarchy in the code (callback.c)
2007-11-03 Captcha fix, joining a room after an expired captcha fails
	* As a follow up to reusing a saved captcha verification string,
	* If the captcha has expired, then the join of the room fails,
	* even though the captcha verification succeeds. This patch will
	* automatically rejoin the room, after the captcha string is
	* validated.
	* Also made some changes to chatter_list_populate() so that any
	* highlighted/selected user in the chat list will not be
	* dehighlighted when a new user enters the room.
2007-11-03 Updated documentation (HOWTO-SIP.html)
	* Moved the HOWTO-SIP.html to the doc directory. This
	* now will get installed in /usr/share/coc/gyachi*/html/
	* Updated KNOWN_PROBLEMS-gyvoice.txt to reflect this.
2007-11-02 more build updates.
	* Moved the gyachi version number into the file VERSION
	* created a configure.ac.tmpl, and use this and VERSION
	* to generate a configure.ac; removed configure.in
	* added an INSTALL.txt which gives instructions on building
	* Replaced "configure" with instructions to read INSTALL.txt
2007-11-01 Moved installation of doc directory to
	* /usr/share/doc/gyachi-version#
	* Moved KNOW-PROBLEMS to /usr/share/doc/gyachi-version as well.
	* Added a check for "convert" to configure.
2007-10-31 Fix PM webcam invite and PM send webcam invitation
	* These 2 dropdown boxes should offer the buddy list.
	* They were mistekenly offering the chatroom list if the
	* chat panel was selected.
2007-10-29 Try Captcha re-validation first!
	* well... Whaddaya know! It turns out that the captcha
	* verification string stays valid for a little bit. Maybe
	* "about 5 minutes". So now when we change rooms, instead
	* of automatically getting the new captcha image, we will try
	* the old verification string first. If that lets us in, then
	* we don't bother to refetch the new captcha image :)
2007-10-28 More misc fixups for distribution release
	* Added a KNOWN_PROBLEMS.txt for gyachi (and renamed
	* the gyvoice one to KNOWN_PROBLEMS-gyvoice.txt).
	* updated the spec file to create the /usr/share/doc/gyachi-<version>
	* directory, and populate these files there.
2007-10-28 Misc fixups for distribution release
	* Fix path to webcam from /usr/share/gyachi to /usr/lib/gyachi
	* Fix default viewer to htmlview (which will open a firefox
	* window if ther is no instance already running)
	* cleaned up the gyachi.spec.in to properly use predefined
	* distribution tags,
	* Added desktop icon for the menu support.
2007-10-27 Fix [Talk] in Voice Chat
	* clear the talker-id labels when we switch rooms.
	* or otherwise stop/start listening.
	* Sort the Talk room in the same order as the
	* Chat room listing. By Alias.
2007-10-27 Fix [Talk] in Voice Chat from hanging.
	* Corrected the termination of the playback thread
	* when going into Talk mode.
	* When [Off] is pressed:
	*    Clean up the talker-id labels (emulate Pressing [Talk])
	*    Desensitize the [Talk] button.
2007-10-26 Fixes for Voice chat
	* Fixed CPU usage for voice chat
	* Fix voice chat crashing when a nickname > 80 characters.
2007-10-25 Fix entering a voice enabled chat room w/o the codec's being
	* installed
	* An error abou not finding the codecs was being displayed.
	* This error message should only be displayed when you Launch
	* gyvoice, not on just entering the chat room.
2007-10-25 Change icon on the pmwindow
	* Changed the drop down index icon to a GTK_STOCK_INDEX
	* one instead.
2007-10-25 fix the "ymsg_dump_packet(), invalid packet" bug
	* fix the "ymsg_dump_packet(), invalid packet" bug.
2007-10-24 Cosmetic fixes for low resolution users
	* Made fader UI a "hide/show" thing, with the [Fader] button
	* controlling the state. Also save the hide/show state into the
	* gyachirc configuration file.
	* Added a "Leave Room" button to the "quick access bar".
	* Delayed desensitizing of the "Leave Room" button until the
	* user actually leaves a room.
	* Only popup the voice chat UI when you press the launch button.
2007-10-22 Codec changes
	* moved the 2 codec files into a separate project branch, allowing
	* the main gyachi branch to be without binary only windows files.
	* Combined the Enable pyvoice / Launch Voice Chat into a single
	* Launch Voice Chat. Some icon changes as well. Updated Makefiles
	* for the codec changes.
	* moved the quick access toolbar from the Contacts! tab to just above
	* (i.e. to next to the font tool bar).
2007-10-19 Fix for unselecting the selectable label in the OK popup
	* The OK confirmation dialog popup has always had
	* the label to be "selectable". This allows the user
	* to cut/paste the message of the dialog before dismissing
	* the panel. Previously the text has always been selected.
	* This fix fixes that. In addition, the focus is now automatically
	* set to the [OK] button.
2007-10-16 Fix the loading of the plugin libraries under SELinux
	* Finally got arounf to fixing this. The plugins should
	* be compiled with -fpic / -FPIC
2007-10-14 Fix a race condition with log file filenames
	* When opening a new session, do not use the
	* static buffer 'selected_buddy' for the pm name.
	* Opening 2 PM windows near simultaneously will
	* cause problems...
2007-10-14 Another auto-away fix
	* reset the auto-away timer EACH time you type, not just
	* the 1st time you switch from away to here.
	* Added recognition of RETURN/ENTER on <password> field
	* of the Login Window.
2007-10-14 Change Plug-in directory
	* Changed the plug-in directory from /usr/{local}/share/gyachi to
	* /usr/{local}/lib/gyachi
	* (more correctly, changed the path from ${pprefix}/share/${PACKAGE}
	* to ${pprefix}/lib/${PACKAGE}
	* Also updated the spec file (and spec.in) to support multiple
	* rpm based distributions.
2007-10-13 Fix Auto-away...
	* 1) always switch from auto-away to "here"
	*    when we type (or emote, or comment), regardless of
	*    the "Sending PM or chat comment when away brings you back"
	*    setting (but honor that setting for other status settings).
	* 2) When switching from here to auto-away, *stay* auto-away
	*    so long as the user is idle. (gyach_emote used to
	*    switch back to "here" whenever it emoted, including the
	*    emoting of the message that the user went away, sigh!).
	* 3) When typing, reset the auto_away_timer (so that
	*    we will *stay* here, instead of flipping to
	*    auto-away in the middle of typing!.
2007-10-03 convert some pixmaps to gtk_icon_stock images
	* Allows GyachI to be more theme friendly
	* fix clicking the "Send" button in the pm so that
	* focus is back at the text entry widget.
2007-10-02 Fix parenting of the PM encryption popup.
	* Fix the parenting of the PM encryption popup
	* remove the left over print message from the
	* testing of the gpgme plugin.
2007-10-02 addition of distro specific spec files
	* Added a new sub directory hierarchy
	*   spec_files/gentoo/
	* the contributed files need some work, and the fedora
	* spec file needs to be moved. This will happen later.
	*
	* Also finally fixed the gpg compile and load errors.
2007-09-30 Chat room misc
	* Removed a few buttons/menu items that in as far as I can tell
	* have been depricated/obsoleted by Yahoo!
	* In particular these buttons used to do a /goto or a /online
	* If anyone can demonstrate the use of these buttons (in an earlier
	* version of gyachi), I'll be happy to put them back in, and fix them.
	*
	* Removed Rooms -> Join Chat Room
	* Removed Rooms -> Join User In Chat Room
	* Removed "Join Chat Room" icon in Quick Access button bar.
	* Removed "Join User In Chat Room" in Buddy pane Quick Access bar.
	* Removed "Join User In Room" in buddy popup (right click on buddy)
	* Removed "Join Chat Room" from tray panel popup.
	* Removed "Join User" on the PM window (/goto user)
	* Added "Rejoin Current Chat Room" and "Leave current Room or Conference"
	*  off trayicon -> Rooms, into the sentitive/desensitive list, depending
	*  upon whether we're in a chat room, or not.
	*
	* Added a Clear button for Chat Room.
	*
	* Added a setup -> Options -> "Automatically Leave Chat Room when we
	*  log out of Yahoo!" with the default being true.
2007-09-28 Leave chat room before joining.
	* Small bug fix, thanks to loell.
	* When joining a room, if you are already in a room
	* it is necessary to leave the old room first. This is
	* true for both joining via the Room List UI, and the
	* Favorites UI. (the Rejoin Current Chat Room is ok).
2007-09-27 speed up ymsg_send_file
	* and in particular transfering of buddy images (bimages)
	* added low-level read/write socket that will use
	* non-blocking i/o and progess gtk_event's while doing
	* the i/o.
2007-09-27 Multi-lingual fix for fading
	* If fading is enabled, then the handling of multi-national
	* characters (a.k.a dead-key sequenses) was not handled correctly.
	* These characters are multi-byte sequences, each of which has
	* the hi (0x80, or 0200) bit set. The original code would put
	* a fade sequence in the middle of the dead-key sequence. This
	* has been fixed.
2007-09-20 Chat room misc
	* fix room enters to only display a single line of information.
	* Fix for not displaying the chat panel automatically when a
	* user enters the room.
2007-09-18 Captcha UI cleanups
	* Fix the Captcha UI to automatically grab focus to the
	* text entry widget.
	* Fix the entry widget to accept RETURN key
	* Clean up the chat room display. removal of extra / unnecessary
	* blank lines, extra indented spaces, and added timestamp support
	* (where missing). Added back the ASL when a user enters a room.
	* Added the main user list when you enter a room.
	* removed the empty user/aliase introduced in last fix.
	* fixed clearing of the alias list when yahoo sends an
	* room update info join packet.
	* when not in a chat / conf room, then the [Rooms] pulldown menu options
	* 'Leave Chat Room or Conference' and 'Rejoin Current Chat Room'
	* are now desetsitized.
2007-09-15 Phase2 of Captcha
	* Redid fetch_url. Removed segfault condition due to static
	* buffer allocation of the incoming url and/or outgoing
	* post data. Implemented non-blocking i/o on the fetch socket
	* to ease the "hang" during fetching or urls.
	* Wrote captcha UI to fetch the captcha url, display the image,
	* prompt for user input of the image, and then post the user
	* supplied result back to yahoo.
	* Re-wrote parse_screenname_aliases(). I cannot believe what
	* I saw... *sigh*. The old code might likely have been responsible
	* for dropping aliases, amoung other attributes of chat room users.
	* Updated handle_join to take care of some recent changes at yahoo.
2007-08-29 Phase1 of capchat
	* Fix the chat panel logging to display the full message when you
	* enter a chat room. Necessary so that the gyachi user can cut/paste
	* into a browser window.
	* Fix strip_html_tags to not strip out singleton "&" characters...
2007-08-24 fix pm text input length. again. change disconnect popup parent
	* fixed pm text length. again. it was reverting to 151 chars if ANY of the
	* pm's were sms. Now I set it to 151 ONLY for a SMS session. everyone else
	* remains at 800 chars.
	* Also changed the "you have been disconnected ..." popup parent to always
	* be the chat panel. I had made it the login window, but if you have
	* auto-login set, then it would pop up a login panel unnecessarily...
2007-08-22 fix to [rooms] -> Join Chat Room
	* so that it doesn't leave the user selection box up.
	* but still doesn't appear to do anything.
2007-08-21 fix for receiving files.
	* If the # bytes received is not the same as the reported file size
	* at the start ofthe transfer then an error box is displayed, with
	* some information. If the 2 values are the same, then a successful
	* transfer is displayed instead.
2007-08-19 Removal of private rooms
	* Yahoo no longer allows/supports (and hasn't for quite some time)
	*   private chat rooms. The menu item [Rooms] -> "Create Room", and the
	*   associated underlying code has been removed.
	* Fixed a bug when you are disconnected, and login mode is set to "auto-login".
	*   The original login panel was never realized, and hence will be redisplayed
	*   (under the disconnect info box) as a blank square box.
	* Added code to desensitize/sensitize [Rooms] -> Add to Favorites. This menu item
	*   really should only be sensitized when you are in a chat room.
	*   Ditto for the 3 conf / chat room invites. (button on main ui, button on
	*   buddy panel, [Rooms]->"Invite User to Char Room or Conference..."
	* Fixed the chat Room List to not have User/Yahoo rooms. Everything
	*   there is now a yahoo room.
	* Fixed an issue with a failed d/l of a room list. Previously, if
	*   the d/l of a room list failed, you were screwed. The list disabled for
	*   the duration of the gyachi run, and you would have to exit/restart
	*   gyachi to re-d/l the room list. This has been corrected. Just undo, and
	*   re-do, and the list will re-attempt to d/l.
	* Fixed the Chat Panel text display when you enter/leave a chatroom or conference
	*   make sure that the cursor ties to the end of the buffer...
	* Found and fixed an ugly intermittent bug in yahoochat ymsg_recv_data
	*   packet receive. Large packets ( > 2048 bytes) would overwrite memory.
	*   Such packets would commonly be associated with entering chat rooms
	*   with a lot of users.
2007-08-17 Bug fix(s) file transfer & emote/chatroom panes.
	* In file transfers, clicking the cancel button at the very
	* end of a file transfer will causs gyachi to crash. Believed fixed.
	* Leaving a conference does not yield back the emote/chatroom panes.
	* Also make the chatroom input pane (the smiley, edit box, send/clear buttons)
	* ONLY present when you are in a chat room...
	* Fix the presentation of OUR text in the chat window to have just 1 leading
	* space, not 4 (to be consistent with all the rest of the lines....)
2007-08-16 Changes to the emotes & chatroom panes (on the main chat window).
	* The emotes & chatroon panes are not only present when needed
	* (i.e. when in a chat room, conference, created room)
	* They are both hidden when not needed.
	* Additionally, the emotes pane can now be enabled/disabled on the fly
	* via the setip -> options config option.
2007-08-15 Remember Emotes window size
	* implemented a setup->options checkbox to disable the emotes window.
	* If the emotes window is not disabled, then remember it's size.
2007-08-12 Allow file transfer sending of files with embedded spaces.
	* Allow file transfer sending of files with embedded spaces.
2007-08-11 Text Limit change
	* Changes the limit on the amount of text send from 422 to 800 as per
	* current windows yahoo clients.
2007-08-05 File Transfer fixups
	* Fixed a lockup when dismissing the "transfer is successful" popup.
	* made the progress meter dialog box non-reziseable (thanks loell)
2007-08-04 File Transfer overhaul
	* major overhaul of file transfer code.
	* Fixed all known lockups when receiving files.
	* Fixed all known GUI hang while send/receiving files.
	* Added a progress meter.
	* Enabled multiple simultaneous transfers.
	* Removed "send file size limit".
	* More to do: see the TODO file in the client directory.
2007-07-28 cosmetic trayicon fixups.
	* cosmetic. eliminated unnecessary extern declarations.
	* Fix 'on demand' sending IM's (using icon buttons to pull up
	* a PM window). Seems that I broke these during a recent
	* checkin, resulting in the IM being sent to "(null)". :(
2007-07-26 Login fixups
	* When selecting Connection -> Connect, if the login window
	* is already created, but  iconified, then uniconify it.
	* Make the "Could not login", and other related messages
	* parents of the login window.
	* Added timestamp to disconnect message (if chat window timestamps
	* have been enabled).
	* Fix segment crash (that I introduced in the recent changes) in
	* 'GyachE Improved Ignore List...' and 'Yahoo! Ignore List...'
2007-07-24 Converted all pthreads to GThreads
	* and in particular, serialized ALL sound stuff
	* thru the sound-event thread.
	* The capture and broadcast webcam was also converted from
	*     pthread to GThread, but not tested.
2007-07-22 PM notebook initialization fix
	* Tracked down that annoying
	*	Gtk-CRITICAL **: gtk_widget_set_events: assertion `!GTK_WIDGET_REALIZED (widget)' failed
	* when you open up a new PM notebook.
2007-07-19 buddy image fix
	* Make show/hide of the buddy image on the pm panel
	* persistent when you change notebook tabs, and change back.
2007-07-17 expat lib fixes
	* Added configure support for the expat library
2007-07-07 Misc Fixups
	* Made the Yahoo! Room List popup parented to the Chat Panel
	* Fixed the "insert" popups from the "Accounts, Rooms, Friends"
	*       tab of the Setup panel to be parented to the Setup panel.
	* Fixed parented windows to be CENTER_ON_PARENT centered
	* Fixed view webcam in the Chat Panel when you right click in the
	* 	alias panel. Note that the action menu pulldown will always
	*	give you your buddy list.
	* Fixed "Send WebCam Invitation" so that it is parented, and if
	*	using the friend list, it displays a popdown of sorted friends.
	* 	in the Chat pannel, it will display a list of user names
	*	from the current room.
	* Fixed "Create Chat Window" parenting.
	* Fixed "Stealth Settings" Window parenting.
	* Fixed "Send Instant Message to many" parenting.
	* Fixed "Invite User to Room or Conference" parenting.
	* Fixed "Edit Contact Information" parenting.
	* Fixed sort method of Aliases/Names in Chat panel to be utf8. This
	*	will ignore leading apecial characters, and will handle
	*	multi-lingual.
	* Fixed "Edit Emote" window parenting
	* Fixed "Add To Favorites" window parenting
	* Fixed "Join Chat Room" parenting.
	*	changed text_entry to pulldown list of users.
	* Fixed "Info" (Show Profile) window parenting.
	* Fixed "Edit My Display Image" -> no longer modal, it is now parented
	*	properly, as is all of it's children windows.
	* Removed all the old remanents of GLADE (GLADE_HOOKUP_OBJECT) throughout the code.
	* Replaced all deprecated gtk_signal_connect() with g_signal_connect in client/
	* Replaced all deprecated gtk_object_get/set with g_object_get/set in client/

2007-07-06 Chat Window -> Buddy Tab enhancements
	* Made the "Friends: ##, Online: ##" a pulldown menu
	* Added the ability to filter out
	* 	All Offline frields
	*	Offline Friends not in groups that are online
	* Added ability to automatically:
	* 	expand all Group tabs
	*	collapse all Group tabs
	*	expand only the group tabs that have online friends
	* Changed the Groups tab to list "<GroupName> (##online/##total)"
	* Minor cleanup with on_blank_pm_window/on_pm_cancel_clicked/on_pm_window_destroy_event
	* Changed "Friends : ##  Online : ##"
	*     to  "Friends: ## Online: ##"
	*     in both the Buddy Tab label, and also the traybox/tooltip.
	* Moved create_list_dialog to interface.c -> that's where the
	*	other convenience ui builders are.
2007-07-01 webcam fixes
	* fix webcam so when recording button is selected,
	* if the capturerc has not been set (or if the path for
	* the captured images is invalid), recording is automatically
	* stopped, and an error message is displayed in a popup to
	* inform the user of the bad path, the error message, and
	* a suggestion to configure the webcamrc.
	*
	* Also parented the various webcam popup messages to the webcam
	* UI
	*
	* Also changed the "view webcam" popup to an edittable pulldown,
	* defaulting to the selected user. :)
	*
	* Added an attempted fix in packet_handler handle_away_back_cb() for
	*	RE: Segmentation Fault
	*	By: lorenzki (lorenzki) - 2007-06-29 11:04
2007-06-19 Window parenting
	* adjust all the popup windows so that they are properly parented
	* to either the chat_window, or the pm window, as appropriate.
	* Finally fix the setup window so 1st click will pop it up (also
	* parentted the setup window to the chat window).
	* a bunch of cosmetic code changes, fixed formatting in several files,
	* but more importantly, removed a lot of "extern" statements, and added
	* proper inclusion of header files.
	* Fixed the Add user to Group pulldown list to pre-sort the groups alphabetically.
2007-06-10 fix autoconf issue with detection of vsscanf
2007-06-02 Fixed major memory leak in animations.
	* also added some memory cleanup here and thee, to more easily detect what's
	* been leaked, when running under valgrind.
2007-01-04 fix a login bug.
	* check for empty username when processing the logon UI
	* and reject.

2006-10-15 debug packet lokking for unknown packets
	* Fix for logging to the capture file instead of stdout.
	
2006-10-12 added hints for chat window log files.
	* Added hint on "Connection" menu "Log Chat to File" and
	* "Log Debug to File".
	* Also moved set_tooltip() to util.c, removed various externs of
	* set_tooltip throughout the code, and added the include of util.h
	* as appropriate.
	
2006-10-11 capture related
	* Added toggle to main window to persistently set whether to start
	* capture upon a capture/connect, or not.

2006-10-06 Logging related
	* Changed the Chat window "Save to File" callback to no longer prompt
	* for filename, but to use the pregenerated filenames, like the rest of
	* the logging code. Also now displays the saved filename in the status bar.
	* removal of some unused older create_fileselection() code, and related
	* no longer referenced on_file_ok_button_clicked / on_file_cancel_button_clicked
	* callback routines.
	
2006-09-29 Logging related
	* Changes to setup menu ("General" panel). Added logfile base directory
	* and logfile "template" (makes use of strftime substitutions).
	* Adjusted pm "save" button, so it no longer display file selection menu.
	* Adjusted main chat window ("Log to File") so that it also no longer
	* displays file selection menu. Both now will make use of the configurable
	* logfile base directory (and then "who"), and the template filename.
	* TODO: look at Connection -> "Save current text"
	
2006-09-23 plugins.c
	* Mostly clean up the code, for now.
	* eventually, I want to move the plugin directory from /usr/share/gyachi
	* to /usr/lib/gyachi. Preparing this module is the first step. Other
	* than code cleaning, there is no substantial changes. (well, one code
	* change that now enforces modules names to beging with "gyachi...", this
	* did not used to be the case previously.)

2006-09-22 Chat window cleanup
	* cleanup in callbacks.c
	* added chat timestamp support in a number of places where it was missing.
	* a lot of chat window formatting cleanup.

2006-09-10  PM panel "save" button
	* fixed "tooltip" on the "save" button, to indicate
	Start Logging or Stop Logging, as the case may be, depending
	upon the state of logging.

2006-09-09  PM panel changes
	* fix some double spacing problems with /date, /time
	* add missing timestamp for outgoing /buzz

2006-09-05  Main Chat panel, Smiley panel
	* Fix remembered location (use gtk_window_get_position() instead
	of gdt_window_get_position()
	* In Smiley panel. If a smiley is RIGHT or MIDDLE-mouse button clicked,
	OR CONTROL LEFT mouse button clicked, the smiley window stays open. In
	all other cases, the smiley window will close with the click.
	
2006-09-03  Main Chat panel

	* many adjustments in packet_handler.c to make
	status line displays consistent.
	* Some changes to "auto-raise pm window" to make
	this feature work better. No longer switchs panel
	if the current panel has focus (but will switch panel
	if current notebook window is not focused).
	* added code to make window icon "flash" in the
	menu bar.

2006-08	  PM panel changes, and misc fixes / enhancements.

	* Some changes to webcam file saves, to not overwrite a
	pre-existing file stream.
	* Conversion of individual PM panels into conversation
	notebooks, with tabbed conversations.
	* Enhancements to PM logging, including a setup option to
	persistently startup logging automatically when a PM panel
	starts.
	* Correct double spacing in PM chat panel.
	* Make sounds a separate thread (prevents main UI from
	hanging when sounds are being played, (esp Buzzes :)
	* Fix to make "no chat room" tick box on login UI persistent.
	* Fix to correct bolded font in PM panel.
	* Update makefiles & Configure so that setting --prefix
	gets applied to PACKAGE_DATA_DIR, PACKAGE_LOCALE_DIR,
	and EXPANDED_LIBEXECDIR.
	* setting label back to defaults in gyvoice when talk-button is released

2006-03-12  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	* configure.in (AC_OUTPUT): Add intl/Makefile.

2006-03-12  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add m4/ChangeLog.

2006-03-12  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.in (AC_OUTPUT): Add po/Makefile.in.

2006-03-12  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): New variable.
	* configure.in (AC_OUTPUT): Add intl/Makefile, po/Makefile.in.

